org.gcube.dataanalysis.dataminer.poolmanager.ansible.model

## Class HostGroup

- java.lang.Object
- - org.gcube.dataanalysis.dataminer.poolmanager.ansible.model.HostGroup

    public class HostGroup
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`HostGroup(String name)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addHost(AnsibleHost h)`
`Collection<AnsibleHost>` `getHosts()`
`String` `getName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HostGroup

    public HostGroup(String name)

### Method Detail

#### addHost

    public void addHost(AnsibleHost h)

#### getName

    public String getName()

#### getHosts

    public Collection<AnsibleHost> getHosts()